C
C SUBROUTINE 'FINSAV'
C ===================
C
C Close file in which vectors were stored
C
      SUBROUTINE FINSAV 
C
C PARAMETERS
C
C      NONE
C
C SPECIFICATION STATEMENTS
C ------------------------
C
      COMMON /PLTSV1/ KUN,ISAV,NB
      CHARACTER*80 SAVBUF
      COMMON /PLTSV2/ SAVBUF
      SAVE /PLTSV1/,/PLTSV2/
      EXTERNAL PLTSV
C
C CODE
C ----
C
      IF (ISAV.EQ.0) RETURN
      IF (NB.GT.0) THEN
         WRITE (KUN) NB,SAVBUF
      ENDIF
      CLOSE (KUN)
      ISAV = 0
      RETURN
      END
